# -*- encoding: utf-8 -*-
# stub: lingo 1.10.2 ruby lib

Gem::Specification.new do |s|
  s.name = "lingo".freeze
  s.version = "1.10.2"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["John Vorhauer".freeze, "Jens Wille".freeze]
  s.date = "2019-02-05"
  s.description = "Lingo is an open source indexing system for research and teachings.\nThe main functions of Lingo are:\n\n* identification of (i.e. reduction to) basic word form by means of\n  dictionaries and suffix lists\n* algorithmic decomposition\n* dictionary-based synonymisation and identification of phrases\n* generic identification of phrases/word sequences based on patterns\n  of word classes\n".freeze
  s.email = ["lingo@vorhauer.de".freeze, "jens.wille@gmail.com".freeze]
  s.executables = ["lingo".freeze, "lingoctl".freeze, "lingosrv".freeze, "lingoweb".freeze]
  s.extra_rdoc_files = ["README".freeze, "COPYING".freeze, "ChangeLog".freeze]
  s.files = ["COPYING".freeze, "ChangeLog".freeze, "README".freeze, "bin/lingo".freeze, "bin/lingoctl".freeze, "bin/lingosrv".freeze, "bin/lingoweb".freeze]
  s.homepage = "http://lex-lingo.de".freeze
  s.licenses = ["AGPL-3.0".freeze]
  s.post_install_message = "\nlingo-1.10.2 [2019-02-05]:\n\n* Fixed regression introduced in 1.9.0 where source form was assumed to be a\n  Lingo::Language::Token (issue reported by Leonhard Maylein).\n\n".freeze
  s.rdoc_options = ["--title".freeze, "lingo Application documentation (v1.10.2)".freeze, "--charset".freeze, "UTF-8".freeze, "--line-numbers".freeze, "--all".freeze, "--main".freeze, "README".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.1".freeze)
  s.rubygems_version = "3.2.22".freeze
  s.summary = "The full-featured automatic indexing system".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<cyclops>.freeze, ["~> 0.3"])
    s.add_runtime_dependency(%q<nuggets>.freeze, ["~> 1.6"])
    s.add_runtime_dependency(%q<rubyzip>.freeze, ["~> 1.2"])
    s.add_runtime_dependency(%q<sinatra-bells>.freeze, ["~> 0.4"])
    s.add_runtime_dependency(%q<unicode>.freeze, ["~> 0.4"])
    s.add_development_dependency(%q<diff-lcs>.freeze, ["~> 1.3"])
    s.add_development_dependency(%q<nokogiri>.freeze, ["~> 1.8"])
    s.add_development_dependency(%q<open4>.freeze, ["~> 1.3"])
    s.add_development_dependency(%q<pdf-reader>.freeze, ["~> 2.1"])
    s.add_development_dependency(%q<hen>.freeze, ["~> 0.9", ">= 0.9.1"])
    s.add_development_dependency(%q<rake>.freeze, [">= 0"])
    s.add_development_dependency(%q<test-unit>.freeze, [">= 0"])
  else
    s.add_dependency(%q<cyclops>.freeze, ["~> 0.3"])
    s.add_dependency(%q<nuggets>.freeze, ["~> 1.6"])
    s.add_dependency(%q<rubyzip>.freeze, ["~> 1.2"])
    s.add_dependency(%q<sinatra-bells>.freeze, ["~> 0.4"])
    s.add_dependency(%q<unicode>.freeze, ["~> 0.4"])
    s.add_dependency(%q<diff-lcs>.freeze, ["~> 1.3"])
    s.add_dependency(%q<nokogiri>.freeze, ["~> 1.8"])
    s.add_dependency(%q<open4>.freeze, ["~> 1.3"])
    s.add_dependency(%q<pdf-reader>.freeze, ["~> 2.1"])
    s.add_dependency(%q<hen>.freeze, ["~> 0.9", ">= 0.9.1"])
    s.add_dependency(%q<rake>.freeze, [">= 0"])
    s.add_dependency(%q<test-unit>.freeze, [">= 0"])
  end
end
